## org.codehaus.groovy.grails.plugins
Class PluginFilterRetriever

    java.lang.Object
      org.codehaus.groovy.grails.plugins.PluginFilterRetriever

    public class PluginFilterRetriever

extends Object

Implements mechanism for figuring out what `PluginFilter` implementation to use based on a set of provided configuration properties

Author:
  Phil Zoio

Constructor Summary
`PluginFilterRetriever()`

Method Summary
`PluginFilter` `getPluginFilter(Properties properties)`
`(package private) PluginFilter` `getPluginFilter(String includes, String excludes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginFilterRetriever

    public PluginFilterRetriever()

Method Detail

### getPluginFilter

    public PluginFilter getPluginFilter(Properties properties)

### getPluginFilter

    PluginFilter getPluginFilter(String includes,
                                 String excludes)

Copyright (c) 2005-2009 The Grails project